%define		name		dcfldd
%define 	version		1.3.4
	
Summary: 	dcfldd is an enhanced version of GNU dd with features useful for forensics and security.
Name: 		%name
Version: 	%version
Release: 	%mkrel 1
License: 	GPL
Group: 		System/Kernel and hardware
URL: 		http://dcfldd.sourceforge.net/
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%_tmppath/%name-%version-%rel-buildroot
BuildRequires: 	gcc-c++, libstdc++-devel
Packager:	Joble

%description
dcfldd is an enhanced version of GNU dd with features useful for forensics
and security. Based on the dd program found in the GNU Coreutils package,
dcfldd has the following additional features:

   * Hashing on-the-fly - dcfldd can hash the input data as it is being
     transferred, helping to ensure data integrity.
   * Status output - dcfldd can update the user of its progress in terms of
     the amount of data transferred and how much longer operation will take.
   * Flexible disk wipes - dcfldd can be used to wipe disks quickly
     and with a known pattern if desired.
   * Image/wipe Verify - dcfldd can verify that a target drive is a
     bit-for-bit match of the specified input file or pattern.
   * Multiple outputs - dcfldd can output to multiple files or disks at
     the same time.
   * Split output - dcfldd can split output to multiple files with more
     configurability than the split command.
   * Piped output and logs - dcfldd can send all its log data and output
     to commands as well as files natively.

%prep
%setup -n %{name}-%{version}
%configure --prefix=/usr --bindir=/usr/bin

%build
%{__make}

%install
%makeinstall
%{__rm} -rf %{buildroot}
%{__install} -Dp -m755 dcfldd %{buildroot}%{_bindir}/dcfldd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_bindir}/dcfldd


%changelog
* Sun May 17 2009 Joble <joble@pclosbe.org> 1.3.4-1pclos2009
- Built for PCLinuxOS (Built without the MAN file, which was just a copy of the source)

* Thu Aug 25 2005 SVRCFL <http://svrcfl.net/> 1.2.4
- Initial spec file

* Sun Feb 12 2005 Nick Harbour 1.3.4
- Updated for new version
